Thanksgiving2007 006.jpg=The lake - Record low.
Thanksgiving2007 004.jpg=The lake - Record low.
Thanksgiving2007 002.jpg=The lake - Record low.
Thanksgiving2007 008.jpg=The lake - Record low.
Thanksgiving2007 007.jpg=The lake - Record low.
Thanksgiving2007 005.jpg=The lake - Record low.
Thanksgiving2007 009.jpg=The lake - Record low.
Thanksgiving2007 012.jpg=Danielle & Conor
Thanksgiving2007 014.jpg=Cooking dinner.
Thanksgiving2007 010.jpg=The lake - Record low.
Thanksgiving2007 001.jpg=The lake - Record low.
Thanksgiving2007 011.jpg=Danielle & Conor
Thanksgiving2007 003.jpg=The lake - Record low.
Thanksgiving2007 013.jpg=Dinner table
Thanksgiving2007 016.jpg=Apres dinner
Thanksgiving2007 015.jpg=Red Truck wine.
